#ifndef ATTACHPOINT_H
#define ATTACHPOINT_H

#include "xrmtypes.h"

extern int NewAttachPointID(GCD *CircuitData, int SetAttachPointID);

extern ErrorCheck AddAttachPoint(GCD *CircuitData, int AttachID, int ComponentID);
extern ErrorCheck EditAttachPoint(GCD *CircuitData, int AttachID, AttachPoint AttachProp);
extern ErrorCheck GetAttachPointNumber(GCD *CircuitData, int *Size);
extern ErrorCheck DisplayAttachPoint(GCD *CircuitData);
extern ErrorCheck DeleteAttachPoint(GCD *CircuitData, int AttachID);
extern ErrorCheck GetAttachPointProperties(GCD *CircuitData, int AttachID, AttachPoint *AttachProp);
extern ErrorCheck SetIIDForAttachPoint(GCD *CircuitData, int ID, void *InterfaceID);
extern ErrorCheck GetIIDForAttachPoint(GCD *CircuitData, int ID, void **InterfaceID);
extern ErrorCheck CheckAttachUsed(GCD *CircuitData, int AttachID);

extern ErrorCheck AttachRoutingIDToID(GCD *CircuitData, int RoutingID, int *ID);
extern ErrorCheck AttachIDToRoutingID(GCD *CircuitData, int ID, int *RoutingID);
extern ErrorCheck GetAttachPointIDFromCoordinates(GCD *CircuitData, int x, int y, int *AttachID);
extern ErrorCheck SelectAttachPointFromID( GCD *CircuitData, int SelectedID);
extern ErrorCheck GetSelectedAttachPointID(GCD *CircuitData, int *SelectedAttachID);

#endif ATTACHPOINT_H
