#ifndef CIRCUITVIEWWINDOW_H
#define CIRCUITVIEWWINDOW_H

#include <gnome.h>

extern GtkWidget *create_FinalCircuitViewWindow(void);
void InitCircuitViewMask(GCD *CircuitData, GtkWidget *Window);

gboolean on_CircuitDraw_configure_event (GtkWidget *widget, GdkEventConfigure *event);
gboolean
on_CircuitDraw_expose_event (GtkWidget *widget, GdkEventExpose  *event, gpointer user_data);

gboolean on_CircuitDraw_motion_notify_event (GtkWidget *widget, GdkEventMotion  *event, gpointer user_data);
gboolean on_CircuitDraw_leave_notify_event (GtkWidget *CircuitDraw, GdkEventMotion *Event, gpointer user_data);
gboolean on_CircuitDraw_button_release_notify_event(GtkWidget *CircuitDraw, GdkEventButton *Event, gpointer user_data);
extern void UpdateCVAppBarFromID(int ID, int x, int y);

extern ErrorCheck InitCircuitView(GCD *CircuitData);

extern void UpdateCircuitView(UCVEvent Event);
extern void ClearCVBuffer(GCD *CircuitData, GtkWidget *DrawArea);

extern void on_ZoomOutButton_toggled (GtkToggleButton *ZoomOutButton, GtkWidget *CircuitViewWindow);
extern void on_ZoomInButton_toggled (GtkToggleButton *ZoomInButton, GtkWidget *CircuitViewWindow);
extern void on_TranslateButton_toggled (GtkToggleButton *TranslateButton, GtkWidget *CircuitViewWindow);
extern gboolean ButtonAction(GtkWidget *CircuitDraw, GdkEventButton  *Event, gpointer user_data);
void on_BetweenCheck_toggled (GtkToggleButton *CheckButton, GtkWidget *CircuitViewWindow);
void on_InteriorCheck_toggled   (GtkToggleButton *CheckButton, GtkWidget *CircuitViewWindow);
void on_ExteriorCheck_toggled(GtkToggleButton *CheckButton, GtkWidget *CircuitViewWindow) ;
void on_SubFunctionCheck_toggled(GtkToggleButton *CheckButton, GtkWidget *CircuitViewWindow);
void on_ComponentCheck_toggled(GtkToggleButton *CheckButton, GtkWidget *CircuitViewWindow);
void on_AttachCheck_toggled(GtkToggleButton *CheckButton, GtkWidget *CircuitViewWindow) ;
void on_InvisibleCheck_toggled(GtkToggleButton *CheckButton, GtkWidget *CircuitViewWindow);
void on_LinkCheck_toggled(GtkToggleButton *CheckButton, GtkWidget *CircuitViewWindow);

#endif /* CIRCUITVIEWWINDOW_H */
