#ifndef COMPONENTLIBRARY_H
#define COMPONENTLIBRARY_H

#include "libtypes.h"
#include <gnome.h>

extern ErrorCheck CreateComponentLibrary( ComponentLibrary **CompLib);
extern ErrorCheck DestroyComponentLibrary( ComponentLibrary *CompLib);
extern ErrorCheck LoadComponentLibrary(ComponentLibrary **CompLib, char *LibSetFileName, GtkWidget *Text);
extern ErrorCheck LoadDefaultSpotLib(ComponentLibrary *CompLib);
extern ErrorCheck LoadDefaultLayoutLib(ComponentLibrary *CompLib);
extern ErrorCheck LoadDefaultCompDescLib(ComponentLibrary *CompLib);
extern ErrorCheck LoadDefaultLib(ComponentLibrary *CompLib);
extern ErrorCheck DisplayLib(ComponentLibrary *CompLib);

#endif /* COMPONENTLIBRARY_H */
