#ifndef COMPONENTWINDOW_H
#define COMPONENTWINDOW_H

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <stdlib.h>
#include <gnome.h>
#include "xrmtypes.h"


extern void cb_AddSubFunction(GtkWidget *Button, GtkWidget *Dummy);
extern void cb_AddComponent(GtkWidget *Button, GtkWidget *RootTree);
extern void cb_CTCut(GtkWidget *Button, GtkWidget* RootTree);
extern void CutWithID(int CutID);
extern void cb_CTCopy(GtkWidget *Button, GtkWidget* RootTree);
extern void CopyWithID(int CopyID);
extern void cb_CTPaste(GtkWidget *Button, GtkWidget* RootTree);
extern void PasteWithID(int FatherID, int x, int y);
extern void cb_CTSetStartPoint(GtkWidget *Button, GtkWidget* RootTree);
extern void cb_CTSetEndPoint(GtkWidget *Button, GtkWidget* RootTree);
extern void SetExtremityWithID(int AttachID, Boolean Start);
extern void cb_CTEdit(GtkWidget *Button, GtkWidget* RootTree);
extern void AddWithIDUnder(int ID, GtkWidget *RootItem);
extern void AddAttachPointUnderComponent(int ID);
extern ErrorCheck UpdateCTWindow(void );
extern ErrorCheck SelectFromID(int ID);
extern void cb_ComponentTree_selectionchanged (GtkTree *RootTree, GtkWidget *ComponentWindow);
extern GtkWidget *CreateNewTreeItem(char *Label, int ID, GtkWidget *SubTree, GtkWidget *Window);

#endif /* COMPONENTWINDOW_H */
