#ifndef DLINK_H
#define DLINK_H

#include "xrmtypes.h"

extern ErrorCheck DisplayDrawList(GCD *CircuitData);

extern ErrorCheck GetSelectDrawLink(GCD *CircuitData, int* TabSelectedLink, int *TabSize);
extern ErrorCheck GetUnSelectDrawLink(GCD *CircuitData, int* TabSelectedLink, int *TabSize);

extern ErrorCheck SelectDLink(GCD *CircuitData, int LinkID);
extern ErrorCheck UnSelectDLink(GCD *CircuitData, int LinkID);

extern ErrorCheck GetSelectDLink(GCD *CircuitData, int* TabSelectedDLink, int *TabSize);
extern ErrorCheck GetUnSelectDLink(GCD *CircuitData, int* TabUnSelectedDLink, int *TabSize);
extern ErrorCheck GetAllDLink(GCD *CircuitData, int* TabDLink, int *DLinkNb, Boolean Routed);


extern ErrorCheck ExchangeDrawLink(GCD *CircuitData, DrawLink *DL1, DrawLink *DL2);
extern ErrorCheck InsertDrawLink(GCD *CircuitData, DrawLink *Source, DrawLink *Dest, Boolean InsertUnder);
extern ErrorCheck GetDLinkNumber( GCD *CircuitData, int *Number);
extern ErrorCheck GetDLinkProperties( GCD *CircuitData, int DLinkID, DrawLink *DLinkProp);
extern ErrorCheck DeleteDLink(GCD *CircuitData, int LinkID);

extern ErrorCheck DisplayDrawList(GCD *CircuitData);
extern ErrorCheck AddLinkToDrawList(GCD *CircuitData, int LinkID);
extern ErrorCheck UpdateDLink(GCD *CircuitData, int LinkID);
extern ErrorCheck DeleteDLink(GCD *CircuitData, int LinkID);
extern ErrorCheck ScrollUp(GCD *CircuitData);
extern ErrorCheck ScrollDown(GCD *CircuitData);
extern ErrorCheck ScrollTop(GCD *CircuitData);
extern ErrorCheck ScrollBottom(GCD *CircuitData);
extern ErrorCheck CheckDrawListConsistency(GCD *CircuitData);
/* extern ErrorCheck SetDLinkToBeRouted(GCD *CircuitData, int LinkID); */
extern ErrorCheck ExtendByColorDLink(GCD *CircuitData);

#endif /* DLINK_H */

