#ifndef DRAWTRACKS_H
#define DRAWTRACKS_H

#include "xrmtypes.h"

extern ErrorCheck GetRoutedOrder(GCD *CircuitData, int SetOrder);

extern ErrorCheck DrawOneTrack(GCD *CircuitData, int RoutingID);
extern ErrorCheck MapArea(GCD *CircuitData, Circuit *pBoard);
extern ErrorCheck SaveTrack(GCD *CircuitData, RoadCarac Map, int RoutingID);
extern ErrorCheck LoadTrack(GCD *CircuitData, RoadCarac *Map, int RoutingID);
extern ErrorCheck MediumRouting(GCD *CircuitData, Boolean UnderMagic);

extern ErrorCheck SetRoutingID(GCD *CircuitData);

#endif /* DRAWTRACKS_H */
