#ifndef EQUIPOT_H
#define EQUIPOT_H

#include "xrmtypes.h"

extern ErrorCheck FindInterEquiPot(EquiPotential Equi1, EquiPotential Equi2, Point *pMeetPoint);
extern ErrorCheck MakeEquiPot (int Attach, Circuit Plate, RoadMap Map, EquiPotential *pEqui, Dep *DepList);
extern ErrorCheck AddEquiPot(EquiPotential *Equi1, int CurrentSize, EquiPotential Equi2);
extern ErrorCheck MakeVortex(Circuit *pPlate, RoadMap Map, int Currentx, int Currenty, EquiPotential *EquiVortex);
extern ErrorCheck IsSameEquiPot(Circuit *pPlate, int AttachLinkNb, int SquareState, int CurrentLineNb);

#endif /* EQUIPOT_H */
