#ifndef LAYOUT_H
#define LAYOUT_H

#include "libtypes.h"
extern ErrorCheck LoadLayoutLib(ComponentLibrary *CompLib, char *LayoutFileName);
extern ErrorCheck AddLayoutDef( ComponentLibrary *CompLib, LayoutDef LayoutDefProp);
extern ErrorCheck AddLayoutLibToLoad(ComponentLibrary *CompLib, LibToLoad LayoutLib);
extern ErrorCheck GetLayoutProperties(ComponentLibrary *CompLib, char *LayoutName, char *LayoutClass, 
				      LayoutDef *LayoutProp, Boolean WithPinPosition, Boolean WithAreaTabs);
extern ErrorCheck GetLayoutNumberForClass(ComponentLibrary *CompLib, char *ClassName, int *LayoutNumber);
extern ErrorCheck GetLayoutNameTabForClass(ComponentLibrary *CompLib, char *ClassName, char **LayoutTab);
extern ErrorCheck GetLayoutClassNumber(ComponentLibrary *CompLib, int *ClassNumber);
extern ErrorCheck GetLayoutClassTab(ComponentLibrary *CompLib, char **LayoutClassTab);
extern ErrorCheck CheckLayout(ComponentLibrary *CompLib, char *LayoutName, char *LayoutClass);
extern ErrorCheck DisplayLayoutLib(ComponentLibrary *CompLib);

#endif /* LAYOUT_H */
