#ifndef COMPDESC_H
#define COMPDESC_H

#include "libtypes.h"
extern ErrorCheck LoadCompDescLib(ComponentLibrary *CompLib, char *CompDescFileName);
extern ErrorCheck AddCompDescDef( ComponentLibrary *CompLib, CompDescDef CompDescDefProp);
extern ErrorCheck AddCompDescLibToLoad(ComponentLibrary *CompLib, LibToLoad CompDescLib);
extern ErrorCheck GetCompDescPinNumber(ComponentLibrary *CompLib, char *CompDescName, int *CompPinNb);
extern ErrorCheck GetCompDescProperties(ComponentLibrary *CompLib, char *CompDescName, CompDescDef *CompDescProp, Boolean WithPinName);
extern ErrorCheck GetCompDescNumber(ComponentLibrary *CompLib, char *ClassName, int *CompDescNumber);
extern ErrorCheck GetCompDescTab(ComponentLibrary *CompLib, char *ClassName, char **CompDescTab);
extern ErrorCheck GetCompDescClassNumber(ComponentLibrary *CompLib, int *ClassNumber);
extern ErrorCheck GetCompDescClassTab(ComponentLibrary *CompLib, char **CompDescClassTab);
extern ErrorCheck CheckCompDesc(ComponentLibrary *CompLib, char *CompDescName);
extern ErrorCheck DisplayCompDescLib(ComponentLibrary *CompLib);

#endif /* COMPDESC_H */
