#ifndef EDITWINDOWS_H
#define EDITWINDOWS_H

#include <gnome.h>

extern void EditWithID(int NewID, int x, int y);

extern void cb_SetCircuitProperty(GtkWidget *Button, GtkWidget *Window);
extern void cb_SetSubFunctionProperty(GtkWidget *Button, GtkWidget *Window);
extern void cb_SetComponentProperty(GtkWidget *Button, GtkWidget *Window);

extern void cb_ChooseDescription (GtkButton *button, GtkWidget *CEWindow);
extern void cb_SetDescription (GtkButton *button, GtkWidget *CDWindow);

extern void on_DescriptionClassList_select_row (GtkCList *DescClassList, gint row, gint column, GdkEvent *event, GtkWidget *CDWindow);
extern void on_DescriptionClassList_unselect_row(GtkCList *DescClassList, gint row, gint column, GdkEvent *event, GtkWidget *CDWindow);
extern void on_DescriptionList_select_row(GtkCList *DescList, gint row, gint column, GdkEvent *event, gpointer CDWindow);
extern void on_DescriptionList_unselect_row(GtkCList *DescList, gint row, gint column, GdkEvent *event, gpointer user_data);

extern void cb_EditPreferences (GtkMenuItem     *menuitem, gpointer user_data);
extern void cb_SetPreferences (GtkButton *button, GtkWidget *EditPrefs);
void on_UseMagic_toggled (GtkToggleButton *UseMagic, GtkWidget *EditPrefs);

extern void on_XEntryCircuit_changed (GtkEditable *editable, GtkWidget *CircuitEditWindow);
extern void on_YEntryCircuit_changed (GtkEditable *editable, GtkWidget *CircuitEditWindow);
extern void on_XEntrySubFunction_changed (GtkEditable *editable, GtkWidget *SubFunctionEditWindow);
extern void on_YEntrySubFunction_changed (GtkEditable *editable, GtkWidget *SubFunctionEditWindow);
extern void on_XEntryComponent_changed (GtkEditable *editable, GtkWidget * ComponentEditWindow);
extern void on_YEntryComponent_changed (GtkEditable *editable, GtkWidget * ComponentEditWindow);
extern void cb_ChooseLogFile (GtkButton *button, GtkWidget *PreferencesWindow);
extern void cb_SetLogFileName (GtkButton *button, GtkWidget *FileWindow);
extern void cb_SetLinkProperty(GtkButton *button, GtkWidget *LinkEditWindow);

#endif /* EDITWINDOWS_H */
