#ifndef FIG_H
#define FIG_H

#include "xrmtypes.h"
#include <stdio.h>

extern ErrorCheck PrintFigHeader(FILE *FigFile);
extern ErrorCheck ExportToFig(GCD *CircuitData, char *FigFileName, ComponentLibrary *CompLib);
extern ErrorCheck PrintFigFrame(FILE *FigFile, GCD *CircuitData);
extern ErrorCheck PrintFigSpot(FILE *FigFile, FigSpot FSData);
extern ErrorCheck PrintFigPath(FILE *FigFile, FigPath FPData);
extern ErrorCheck PrintFigPolyline(FILE *FigFile, Point *PathCoord, int PointNb, int Width);

#endif /* FIG_H */

