#ifndef FILEMNG_H
#define FILEMNG_H

#include "xrmtypes.h"
#include <gnome.h>

typedef enum {ComponentType, AttachPointType, SubFunctionType, LinkType, DrawLinkType, LinkPermutationType}  ListType;

extern int GetNumber(GCD *CircuitData, ListType Type);
extern ErrorCheck WriteGCD(GCD *CircuitData, char *Name, int *NewID, GtkWidget *Text);
extern ErrorCheck ReadGCD(GCD *CircuitData, char *Name, int *NewID, GtkWidget *Text);
extern ErrorCheck OpenCircuitFile(GCD *CircuitData, char *FileName, GtkWidget *Text);
extern ErrorCheck OpenEmptyFile(GCD *CircuitData);
extern ErrorCheck SaveCircuitFile(GCD *CircuitData, char *FileName, GtkWidget *Text);
extern ErrorCheck UpdateInterfaceFromData(void);
extern ErrorCheck CheckCircuitLibrary(GCD *CircuitData);

#endif
