#ifndef LINKWINDOW_H
#define LINKWINDOW_H

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <gnome.h>
#include "xrmtypes.h"

extern void cb_SelectLLClist(GtkWidget *LLClist, gint row, gint column, GdkEventButton *event, gpointer data);
extern void cb_UnSelectLLClist(GtkWidget *LLClist, gint row, gint column, GdkEventButton *event, gpointer data);
extern void UpdateLinkStateLLClist(int LinkID);
extern void cb_AddLink(GtkWidget *Button,  gpointer LLClist );
extern void NewLink(Boolean Select);
extern void cb_SelectAllLink(GtkWidget *Button,  gpointer LLClist );
extern void cb_SelectNoneLink(GtkWidget *Button,  gpointer LLClist );
extern void cb_SelectInvertLink(GtkWidget *Button,  gpointer LLClist );
extern void cb_CutLink( GtkWidget *Button, gpointer LLClist );
extern void cb_AddLinkToDrawList(GtkWidget *Button,  gpointer LLClist);
extern void cb_EditLink(GtkWidget *Button, GtkWidget *LLClist);
extern void cb_SelectDLClist(GtkWidget *DLClist, gint row, gint column, GdkEventButton *event, gpointer data);
extern void cb_UnSelectDLClist(GtkWidget *DLClist, gint row, gint column, GdkEventButton *event, gpointer data);
extern void UpdateLinkStateDLClist(int LinkID);
extern void cb_SelectAllDLink( GtkWidget *Button, gpointer DLClist );
extern void cb_SelectLinkAsDLink(GtkWidget *Button,  gpointer DLClist );
extern void cb_SelectNoneDLink(GtkWidget *Button,  gpointer DLClist );
extern void cb_SelectInvertDLink(GtkWidget *Button,  gpointer DLClist );
extern void cb_CutDLink(GtkWidget *Button,  gpointer DLClist );
extern void cb_AutoSort(GtkWidget *Button, GtkWidget *DLClist);
extern void UpdateLLClist(void);
extern void UpdateDLClist(void);
extern void CreateLinkStatePixmap(GCD *CircuitData, Link LinkProp, DrawLink DLinkProp, GtkWidget *XLClist, int Row, Boolean SelectionFromLinkList);
extern void cb_StartRouting(GtkButton *button, gpointer user_data);
extern void cb_ScrollUp(GtkWidget *Button, GtkWidget *LinkWindow);
extern void cb_ScrollDown(GtkWidget *Button, GtkWidget *LinkWindow);
extern void cb_ScrollTop(GtkWidget *Button, GtkWidget *LinkWindow);
extern void cb_ScrollBottom(GtkWidget *Button, GtkWidget *LinkWindow);

extern void cb_SelectAllRoutedDLink (GtkButton *button, GtkWidget *DLClist);

extern void cb_SelectAllUnRoutedDLink (GtkButton *button, GtkWidget *DLClist);

extern void cb_UnRouteDLink (GtkButton *button, GtkWidget *DLClist);
extern void cb_CFM_UnRouteDLink (GtkButton *button,  GtkWidget *Window);

extern void cb_SetDLinkToBeRouted(GtkButton *button, GtkWidget *DLClist);

extern void cb_StartRouting (GtkButton *button, gpointer user_data);

extern void cb_Paint (GtkButton *button, GtkWidget *ColorPicker);
extern void cb_ExtendColor (GtkButton *button, gpointer user_data);

extern void cb_PaintDLink (GtkButton *button, GtkWidget *ColorPicker);
extern void cb_ExtendColorDLink (GtkButton *button, gpointer user_data);


#endif /* LINKWINDOW_H */
