#ifndef LISTE_H
#define LISTE_H

#include <gnome.h>
#include "xrmtypes.h"

extern void ListInit(GtkWidget *Text);
extern ErrorCheck CreateCircuitData(GCD **CircuitData);
extern ErrorCheck InitCircuitData(GCD *CircuitData, Boolean InitNew, Boolean InitWindow);
extern GCD * GetCircuitData(void);
extern ErrorCheck DeleteCircuitData(GCD *CircuitData, Boolean TotalAnnihilation);

extern ErrorCheck EditCircuitInfo(GCD *CircuitData, Header DataHeader);
extern ErrorCheck GetCircuitInfo(GCD *CircuitData, Header *DataHeader);

extern ErrorCheck CheckCircuitIntegrity( GCD *CircuitData, Integrity *IntegrityTab, int *IntegritySize);

#endif
