#ifndef MAGICROUTER_H
#define MAGICROUTER_H

#include "xrmtypes.h"

extern ErrorCheck MagicRouting(GCD *CircuitData);

extern int SwapLastDLink(GCD *CircuitData, int *LinkID1, int *LinkID2, FILE *LogFile);
extern int SavePermutation(GCD *CircuitData, int LinkID1, int LinkID2);

extern void RestartMagic(GCD *CircuitData, int LinkID1, int LinkID2, FILE *LogFile);
extern void DisplayPermutation(GCD *CircuitData);
extern void RemoveUnDrawableDLink(GCD *CircuitData, int LinkID1, int LinkID2, FILE *LogFile);
extern ErrorCheck DestroyPermutationList(GCD *CircuitData);

#endif /* MAGICROUTER_H */
