#ifndef MENU_H
#define MENU_H

#include <gnome.h>

extern void on_New_Circuit_activate(GtkMenuItem *menuitem, gpointer user_data);

extern void on_CFM_Save_and_New_activate(GtkButton *button, gpointer user_data);
extern void on_CFM_New_activate(GtkButton *button, gpointer user_data);
extern void on_Open_Circuit_activate(GtkMenuItem *menuitem, gpointer user_data);
extern void on_CFM_Save_and_Open_activate(GtkButton *button, gpointer user_data);
extern void on_CFM_Open_activate(GtkButton *button, gpointer user_data);
extern void on_Revert_activate(GtkMenuItem *menuitem, gpointer user_data);
extern void on_CFM_Revert_activate(GtkButton *button, gpointer user_data);
extern void on_Exit_activate(GtkMenuItem *menuitem, gpointer user_data);
extern void on_CFM_Save_and_Exit_activate(GtkButton *button, gpointer user_data);
extern void on_CFM_Exit_activate(GtkButton *button, gpointer user_data);
extern void on_New(void);
extern void on_Open(void);
extern void cb_OpenFileDialog (GtkWidget *Window, GtkWidget *FileSelect);
extern void on_Save_activate(GtkMenuItem *menuitem, gpointer user_data);
extern void on_Save_As_activate (GtkMenuItem *menuitem, gpointer user_data);
extern void cb_SaveFileDialog (GtkWidget *Widget, GtkWidget *Window);
extern ErrorCheck on_Save(char *FileName);
extern void on_Revert(void);
extern void on_Exit(void);

void cb_SaveAndNewFileDialog_activate (GtkButton *button, GtkWidget *Window);
void cb_SaveAndOpenFileDialog_activate (GtkButton *button, GtkWidget *Window);
void cb_SaveAndExitFileDialog_activate (GtkButton *button, GtkWidget *Window);

extern void on_Show_Component_Tree_activate(GtkMenuItem *menuitem, gpointer user_data);
extern void on_Hide_Component_Tree_activate (GtkMenuItem *menuitem, gpointer user_data);
extern void on_Show_Link_Window_activate(GtkMenuItem *menuitem, gpointer user_data);
extern void on_Hide_Link_Window_activate(GtkMenuItem *menuitem, gpointer user_data);
extern void on_Show_Circuit_View_activate(GtkMenuItem *menuitem, gpointer user_data);
extern void on_Hide_Circuit_View_activate(GtkMenuItem *menuitem, gpointer user_data);
extern void on_Show_All_Windows_activate(GtkMenuItem *menuitem, gpointer user_data);
extern void on_Hide_All_Windows_activate(GtkMenuItem *menuitem, gpointer user_data);
extern void on_About_activate(GtkMenuItem *menuitem, gpointer user_data);

void cb_ExportXFig_activate (GtkMenuItem *menuitem, gpointer data);
void cb_FigSaveFialog (GtkButton *button, GtkWidget *FileSelect);

void cb_UpdateCircuitView_activate (GtkMenuItem *menuitem, gpointer user_data);
void on_Center_View_activate (GtkMenuItem *menuitem, gpointer user_data);

#endif
