#ifndef MISCWINDOWS_H
#define MISCWINDOWS_H

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <gnome.h>
#include "xrmtypes.h"

extern void cb_CheckCircuit (GtkMenuItem *menuitem, gpointer user_data);
extern void ShowCircuitIntegrity(Integrity *IntegrityTab, int Size);
extern void FullErrorClist(GtkWidget *ErrorClist, Integrity *IntegrityTab, int Size);

extern void on_ErrorClist_select_row (GtkCList *ErrorClist, gint row, gint column, GdkEvent *event, GtkWidget *Window);
extern void on_ErrorClist_unselect_row (GtkCList *ErrorClist, gint row, gint column, GdkEvent *event, GtkWidget *Window);
extern void cb_RefreshErrorClist (GtkButton *button, GtkWidget *ErrorClist);
extern void on_ChooseDirectory_clicked (GtkButton *button, GtkWidget *Entry);
extern void on_SetDirectory_clicked (GtkButton *button, GtkWidget *FileSelect);
extern void UpdateRouterStatusWindow(GCD *CircuitData, int RouterNb, int TotalRouter, int TrackNb, int TotalTrack);
extern void on_CancelRouter_clicked (GtkButton *button,  GtkWidget *RouterStatusWindow);
extern void on_LoadBest_clicked (GtkButton *button, gpointer user_data);
#endif


