#ifndef ROADNCIRCUIT_H
#define ROADNCIRCUIT_H

#include "xrmtypes.h"

extern ErrorCheck InitSquareTab (Circuit *Plate, int CurrentLink);
extern ErrorCheck DestroyCircuit (Circuit *pPlate);
extern ErrorCheck InitRoad(RoadMap *pMap, int LinkNb);
extern ErrorCheck DestroyRoad (RoadMap *pMap);
extern ErrorCheck TracePreviousRoad(Circuit *pBoard,  RoadCarac *Carac, int RoadNbToTrace, int *RoadTab, int CurrentLink);
extern ErrorCheck GetSegmentPoint(RoadCarac *CaracTab, int RoadNb, EquiPotential *TrackPoint);
extern ErrorCheck ComputeDirection(Circuit *pPlate, Direction LastDir, Direction *DirectionTab, int *DirectionTabSize);
extern ErrorCheck FeatherPath(Circuit Board, RoadMap *pMap, int CurrentLink);
extern ErrorCheck FeatherCircuit(Circuit *pBoard, int CurrentLink);

#endif /* ROADNCIRCUIT_H */
