#ifndef SPOT_H
#define SPOT_H

#include "libtypes.h"

extern ErrorCheck LoadSpotLib(ComponentLibrary *CompLib, char *SpotFileName);
extern ErrorCheck AddSpotDef( ComponentLibrary *CompLib, SpotDef SpotDefProp);
extern ErrorCheck AddSpotLibToLoad(ComponentLibrary *CompLib, LibToLoad SpotLib);
extern ErrorCheck GetSpotProperties(ComponentLibrary *CompLib, char *SpotName, SpotDef *SpotProp, Boolean WithSpotLocation);
extern ErrorCheck CheckSpot(ComponentLibrary *CompLib, char *SpotName);
extern ErrorCheck AutoRangeSpot(SpotDef SpotBuffer, int *LeftLimit, int *RightLimit, int *UpLimit, int *DownLimit);
extern ErrorCheck DisplaySpotLib(ComponentLibrary *CompLib);

#endif /* SPOT_H */
