#ifndef SUBFUNCTION_H
#define SUBFUNCTION_H

#include <gnome.h>
#include "xrmtypes.h"
extern int NewSubFunctionID(GCD *CircuitData, int SetSubFunctionID);

extern ErrorCheck AddSubFunction(GCD *CircuitData, int Nb);
extern ErrorCheck EditSubFunction(GCD *CircuitData, int Nb, SubFunction SubFonc);
extern ErrorCheck DisplaySubFunction(GCD *CircuitData);
extern ErrorCheck DeleteSubFunction(GCD *CircuitData, int Nb);
extern ErrorCheck GetSubFunctionCompNumber(GCD *CircuitData, int Nb, int *CompNb);
extern ErrorCheck GetSubFunctionCompIDTab(GCD *CircuitData, int Nb, int *CompIDTab);

extern ErrorCheck GetLinkUsingSubFunction(GCD *CircuitData, int SubFID, int *LinkIDTab, int *LinkNb);
extern ErrorCheck GetSubFunctionAttachNumber(GCD *CircuitData, int SubFID, int *AttachNb);
extern ErrorCheck GetSubFunctionAttachID(GCD *CircuitData, int SubFID, int *AttachIDTab);

extern ErrorCheck DeleteSubFunctionBuffer(GCD *CircuitData);
extern ErrorCheck CutSubFunction(GCD *CircuitData, int SubFID);
extern ErrorCheck CopySubFunction(GCD *CircuitData, int SubFID);
extern ErrorCheck AddSubFunctionToBuffer(GCD *CircuitData, int SubFID);
extern ErrorCheck PasteSubFunction(GCD *CircuitData, int *NewID, int x, int y);
extern ErrorCheck GetSubFunctionProperties(GCD *CircuitData, int Nb, SubFunction *SubFunc);
extern ErrorCheck SetIIDForSubFunction(GCD *CircuitData, int ID, void *InterfaceID);
extern ErrorCheck GetIIDForSubFunction(GCD *CircuitData, int ID, void **InterfaceID);
extern ErrorCheck GetSubFunctionNumber(GCD *CircuitData, int *SubFunctionNb);
extern ErrorCheck GetSubFunctionIDFromCoordinates(GCD *CircuitData, int x, int y, int *SubFID);
extern ErrorCheck SelectSubFunctionFromID(GCD *CircuitData, int SubFID);
extern ErrorCheck GetSubFunctionLinkNumber(GCD *CircuitData, int SubFID, int *LinkNb, Boolean Internal);
extern ErrorCheck GetSubFunctionLinkTab(GCD *CircuitData, int SubFID, int *LinkTab);

#endif /* SUBFUNCTION_H */
